.ttl12 .ttl12-sub {
  font-size: 1.7rem;
}

/* Main Content */
.charm-content {
  margin-top: 7rem;
  text-align: left;
}

/* Hero Section */
.hero-section {
  width: 100%;
  max-width: 170rem;
  display: flex;
  gap: 5rem;
}

.hero-image-container {
  width: 78%;
}

.hero-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hero-vertical-text {
  flex: 1;
  padding: 10rem 2rem;
  display: flex;
  justify-content: end;
}

.vertical-text,
.vertical-text-sub {
  font-family: "Zen Old Mincho", serif;
  font-size: 3rem;
  letter-spacing: 1.5205px;
  writing-mode: vertical-rl;
  text-orientation: upright;
  color: #333;
  margin-left: 2.5rem;
  height: fit-content;
  padding-left: 1.6rem;
  border-left: 1px solid #333;
}

.hero-title {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 700;
  font-size: 2.6rem;
  letter-spacing: 1.3px;
  color: #333;
}

/* Access Section */
.access-section {
  padding: 15rem 0;
  max-width: 130rem;
  margin: 0 auto;
}

.access-content {
  display: flex;
  gap: 13rem;
  align-items: center;
}

.access-image {
  width: 56%;
  object-fit: cover;
}

.access-text {
  flex: 1;
  position: relative;
}

/* Common Section Styles */

.room-section,
.onsen-section,
.restaurant-section {
  margin-bottom: 15rem;
}

.section-bg-text {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: 6.5rem;
  letter-spacing: 6.5014px;
  color: rgba(166, 151, 117, 0.14);
  margin-bottom: 1rem;
}

.vertical-bg {
  writing-mode: vertical-rl;
  white-space: nowrap;
}

.room-content,
.onsen-content,
.restaurant-content {
  display: flex;
  gap: 10rem;
  align-items: flex-start;
}

.room-text,
.onsen-text,
.restaurant-text {
  flex: 1;
  align-self: center;
}

.room-images,
.onsen-images,
.restaurant-images {
  width: 68%;
}

.section-title {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 700;
  font-size: 2rem;
  letter-spacing: 1px;
  line-height: 1.7;
  color: #333;
  margin-bottom: 4rem;
}

/* Sightseeing Section */
.sightseeing-section {
  padding-bottom: 8rem;
  overflow: hidden;
}

.sightseeing-container {
  position: relative;
  max-width: 95%;
  margin: 0 auto;
  display: flex;
  gap: 10rem;
  align-items: flex-start;
}

/* 左側メイン画像 */
.main-image-wrapper {
  width: 50%;
}

.main-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* 右側コンテンツエリア */
.sightseeing-content {
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.sightseeing-text {
  position: relative;
  width: 100%;
  max-width: 60rem;
  text-align: center;
}

.text-inner {
  position: relative;
  z-index: 2;
  margin-top: 3rem;
}

.section-description {
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 400;
  line-height: 2.1;
  color: #000;
  letter-spacing: 0.8px;
  margin-bottom: 32px;
  font-size: 1.5rem;
}

/* 右下の小画像並び */
.sub-images-row {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 3rem;
  margin-top: 5rem;
}

.sub-image-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media screen and (max-width: 1740px) {
  .access-section {
    max-width: 90%;
  }
  .access-content {
    gap: 6rem;
  }
  .room-content,
  .onsen-content,
  .restaurant-content {
    gap: 3rem;
  }
  .room-images,
  .onsen-images,
  .restaurant-images {
    width: 60%;
  }
}

@media screen and (max-width: 1300px) {
  .section-bg-text {
    font-size: 5.5rem;
  }
  .section-title {
    font-size: 2.2rem;
    margin-bottom: 2rem;
  }

  .access-image {
    width: 50%;
  }
  .room-images,
  .onsen-images,
  .restaurant-images {
    width: 50%;
  }
  .sightseeing-container {
    gap: 5rem;
  }
}
@media screen and (max-width: 1000px) {
  .section-bg-text {
    font-size: 4.2rem;
  }
  .hero-vertical-text {
    padding: 1rem 5rem;
    flex-direction: column;
  }
}

@media screen and (max-width: 600px) {
  .sspa0 {
    padding: 0;
  }
  .section-bg-text {
    font-size: 1.5rem;
    letter-spacing: 0.1em;
    text-align: center;
    color: rgba(166, 151, 117, 0.4);
    margin-bottom: 1rem;
  }
  .hero-section {
    flex-direction: column;
    gap: 2rem;
  }
  .hero-image-container {
    width: 100%;
  }
  .vertical-text,
  .vertical-text-sub {
    writing-mode: unset;
    font-size: 1.9rem;
    border-left: unset;
    border-bottom: 1px solid #333;
    text-align: center;
    width: fit-content;
    margin: 0 auto;
    padding: 1rem 0;
  }
  .section-title {
    font-size: 1.8rem;
    text-align: center;
  }
  .access-section {
    padding: 8rem 0;
  }

  .access-content {
    flex-direction: column;
    gap: 2rem;
  }
  .access-image {
    width: 100%;
  }
  .room-section,
  .onsen-section,
  .restaurant-section {
    margin-bottom: 8rem;
  }
  .room-content,
  .onsen-content,
  .restaurant-content {
    flex-direction: column-reverse;
    align-items: center;
    gap: 1rem;
  }
  .room-images,
  .onsen-images,
  .restaurant-images {
    width: 100%;
  }

  .btn9 {
    display: flex;
    justify-content: center;
  }
  .section-description {
    margin-bottom: 2rem;
  }
  .sightseeing-container {
    flex-direction: column;
    align-items: center;
    gap: 0;
    max-width: 100%;
  }
  .main-image-wrapper {
    width: 100%;
  }
  .sightseeing-content {
    width: 100%;
  }
  .section-description {
    padding: 0 2.4rem;
    text-align: left;
    font-size: 1.4rem;
  }
  .sub-images-row {
    max-width: 90%;
    gap: 1rem;
  }
}
